Skip to main content
POST
Complete an upload

Authorizations

x-api-key
string
header
required

ROOTKey API key (rk_live_... for production, rk_test_... for the test network).

Path Parameters

uploadId
string
required

The uploadId returned by Start an upload.

Pattern: ^upl_[0-9a-f]{32}$
Example:

"upl_3f2b8c1e5a7d4e9b9c2a1d6e8f0a4b7c"

Response

The file was created and its anchor submitted (single uploads).

chainId
number
required
Example:

137

transactionHash
string
required

On-chain transaction hash of the anchoring transaction

Example:

"0xabc123..."

fileId
string
required